Available in🇮🇳 India🇸🇬 Singapore
You can create Customer Identifiers using the Smart Collect APIs to accept large payments from your customers in the form of bank transfers via NEFT, RTGS and IMPS.
Handy Tips
- If you are a new customer, explore Smart Collect 2.0 . It uses the same APIs as Smart Collect, while also offering additional endpoints—such as creating a Customer Identifier with a VPA and bank account, fetching UPI payments, and adding a VPA Receiver to an existing Customer Identifier.
- You can also Add an Allowed Payer or Delete an Allowed Payer using Smart Collect TPV APIs.
Create a Customer Identifier With Bank Account Receiver
POST /v1/virtual_accountsCreates a Customer Identifier with bank account receiver.Update a Customer Identifier
POST /v1/virtual_accounts/:idUpdates details of a Customer Identifier.Fetch a Customer Identifier Using ID
GET /v1/virtual_accounts/:idRetrieves details of a Customer Identifier using id.Fetch All Customer Identifiers
GET /v1/virtual_accounts/Retrieves details of all Customer Identifiers.Fetch Payments for a Customer Identifier
GET /v1/virtual_accounts/:id/paymentsRetrieves details of payments made against a particular Customer Identifier.Fetch Payments Made By Bank Transfer
GET /v1/virtual_accounts/:id/paymentsRetrieves details of a payment using bank transfer method.Fetch Payments Using UTR
GET /v1/payments?skip=0&count=25&va_transaction_id=:id&virtual_account=1Retrieves details of a payment using bank transfer method via UTR.Close a Customer Identifier
POST /v1/virtual_accounts/:id/closeCloses a Customer Identifier.Add VPA Receiver to existing Customer Identifier With Smart Collect 2.0
POST v1/virtual_accounts/:id/receiversAdds a VPA Receiver to an existing Customer Identifier With Smart Collect 2.0.Create Customer Identifier with VPA and Bank Account Receivers With Smart Collect 2.0
POST /v1/virtual_accountsCreates a Customer Identifier with VPA and Bank Account Receivers With Smart Collect 2.0.Fetch Payments Made Using UPI With Smart Collect 2.0
GET /v1/payments/:id/upi_transferRetrieves payments made using UPI With Smart Collect 2.0.